% File: run.m
% Multi-Engine Throttleable Booster System
r2d=180/pi; d2r=pi/180;
LBThrust=0.96097e+6;                    % Nominal F1 Engine Thrust
thc=8;                                  % Throttle Control Bandwidth
[Ave, Bve, Cve, Dve]= vehicle;          % Load the Vehicle Model from Flixan
%[Ave, Bve, Cve, Dve]= vehicle_eo;      % Engine Out Vehicle Model from Flixan
[Aac, Bac, Cac, Dac]= comb_actuator;    % Load the 9 combined actuators
[Afc, Bfc, Cfc, Dfc]= fcs;              % Load Pitch/Lateral Flight Control
[Aol, Bol, Col, Dol]= openloop;         % Combined Open-Loop Nominal (Actuat+Vehicle+FCS) 
%[Aol, Bol, Col, Dol]= openloop_eo;     % Combined Open-Loop Eng-out (Actuat+Vehicle+FCS) 
[Acl, Bcl, Ccl, Dcl]= closedloop;       % Closed-Loop Simulation Model
load ThVC.mat ThVC -ascii               % TVC plus Throttle Control Matrix (Nominal)
load ThVC_eo.mat ThVC_eo -ascii         % TVC plus Throttle Control Matrix (Eng-out)

[Ao,Bo,Co,Do]=linmod('Open_Loop');      % Combine State-Space system for ...
%[Ao,Bo,Co,Do]=linmod('Open_Loop2');     % Pre-Combined State-Space system for ...
sys= SS(Ao,Bo,Co,Do);                    % frequency response analysis

[Ac,Bc,Cc,Dc]=linmod('Closed_Loop');     % Pre-Combined State-Space system for ...
sysc=SS(Ac,Bc,Cc,Dc);                    % frequency response analysis
w=logspace(-4,2.5,25000); 
figure(2); Nichols(sys,w)
%figure(1); Nichols(sys,w, syseo,w)
figure(3); Sigma(sysc,w)